#include "widget.h"
#include "ui_widget.h"
#include <QPainter>

//  #define PROXY_UTLN          // décommenter si proxy!!

//______________________________________________________________CONSTRUCTEUR
Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);
    manager = new QNetworkAccessManager(this);

    // connexion du slot
    connect(manager, SIGNAL(finished(QNetworkReply*)),this, SLOT(replyFinished(QNetworkReply*)));

#ifdef PROXY_UTLN
	// ecrivez vos paramètres de proxy personels: serveur, port, user, password
    proxy = new QNetworkProxy(QNetworkProxy::HttpProxy, "192.168.0.1", 8080, "user", "password");
    manager->setProxy(*proxy);
    //QNetworkProxy::setApplicationProxy(proxy);
#endif
}

//______________________________________________________________DESTRUCTEUR
Widget::~Widget()
{
    delete ui;
    if (manager)delete manager;
}

//_________________________________________________________________SLOT appui sur le bouton
void Widget::on_pushButton_clicked()
{
    request = new QNetworkRequest(QUrl("http://ext.toulon.fr/webcams/Cam_TourRoyal00001.jpg"));
    manager->get(*request);             // envoi de la requête
}

// ________________________________________________________________SLOT de récupération des trames réseau
void Widget::replyFinished(QNetworkReply *reply){
    // lecture des données
    QByteArray data = reply->readAll();
// transfert des données dans l'image
image.loadFromData(data);
repaint();          // re dessin de la fenêtre
}

// ________________________________________________________________SLOT de dessin de la fenêtre
void Widget::paintEvent(QPaintEvent *event){
    QPainter painter(this);

    painter.drawImage(QPointF(0,0), image);
}
