#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QNetworkProxy>
#include <QPaintEvent>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

private slots:
    void on_pushButton_clicked();           // le bouton
    void replyFinished(QNetworkReply *);    // la requête est finie
    void paintEvent(QPaintEvent *event);    // dessin


private:
    Ui::Widget *ui;
    QNetworkAccessManager * manager; 		// le gestionnaire de réseau
    QNetworkRequest *request;               // la requête
    QNetworkProxy *proxy;                   // le proxy (à l'Université uniquement)

    QImage image;                           // l'image
};

#endif // WIDGET_H
